// grids come with color appended first and then m for moving, d for double and p for pulsating

textures/cyberspace/grid_r
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_g
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_b
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_r_f
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendFunc blend
    }
    {
        map textures/cyberspace/dot.tga
        alphaFunc GE128
        blendFunc blend
        tcmod scroll 1.0 0
    }
    {
        map textures/cyberspace/dot.tga
        alphaFunc GE128
        blendFunc blend
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_g_f
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        blendFunc blend
    }
    {
        map textures/cyberspace/dot.tga
        alphaFunc GE128
        blendFunc blend
        tcmod scroll 0.5 0
    }
    {
        map textures/cyberspace/dot.tga
        alphaFunc GE128
        blendFunc blend
        tcmod scroll 0 0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_b_f
{
    qer_editorimage textures/cyberspace/grid_b.tga
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/cyberspace/dot.tga
        alphaFunc GE128
        blendFunc blend
        tcmod scroll 0.5 0
    }
    {
        map textures/cyberspace/dot.tga
        alphaFunc GE128
        blendFunc blend
        tcmod scroll 0 -0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_r_m
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        tcmod scroll 1 1
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_g_m
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        tcmod scroll 1 1
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_b_m
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        tcmod scroll 1 1
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_r_d
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        tcmod scroll 1 1
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        tcmod scroll -1 -1
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_g_d
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll 1 1
    }
    {
        map textures/cyberspace/grid_g.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll -1 -1
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_b_d
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll 1 1
    }
    {
        map textures/cyberspace/grid_b.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll -1 -1
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_rg_d
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll 1 1
        rgbGen wave triangle 1.0 1.0 0.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll 1 1
        rgbGen wave triangle 1.0 1.0 0.5 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll -1 -1
        rgbGen wave triangle 1.0 1.0 0.0 2.0
    }
    {
        map textures/cyberspace/grid_g.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll -1 -1
        rgbGen wave triangle 1.0 1.0 0.5 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_gb_d
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll 1 1
        rgbGen wave triangle 1.0 1.0 0.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll 1 1
        rgbGen wave triangle 1.0 1.0 0.5 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll -1 -1
        rgbGen wave triangle 1.0 1.0 0.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll -1 -1
        rgbGen wave triangle 1.0 1.0 0.5 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_r_p
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
	rgbGen wave triangle 1.0 1.0 0.0 2.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_g_p
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
	rgbGen wave triangle 1.0 1.0 0.0 2.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_b_p
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
	rgbGen wave triangle 1.0 1.0 0.0 2.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_r_t
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendFunc blend
        tcmod scale .5 .5
    }
}

textures/cyberspace/grid_g_t
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        blendFunc blend
        tcmod scale .5 .5
    }
}

textures/cyberspace/grid_b_t
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        blendFunc blend
        tcmod scale .5 .5
    }
}

textures/cyberspace/grid_rg
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendfunc filter
        tcmod scroll 5 5
    }
    {
        map textures/cyberspace/grid_g.tga
        blendfunc filter
        tcmod scroll 5 5
    }
}

textures/cyberspace/grid_gb
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        blendfunc filter
        tcmod scroll 5 5
    }
    {
        map textures/cyberspace/grid_b.tga
        blendfunc filter
        tcmod scroll 5 5
    }
}

textures/cyberspace/grid_rb
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        blendfunc filter
        tcmod scroll 5 5
    }
    {
        map textures/cyberspace/grid_r.tga
        blendfunc filter
        tcmod scroll 5 5
    }
}

textures/cyberspace/line_r
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendfunc filter
        tcmod scroll .025 .01
    }
}

textures/cyberspace/line_g
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        blendfunc filter
        tcmod scroll .025 .01
    }
}

textures/cyberspace/line_b
{
    qer_editorimage textures/cyberspace/line_b.tga
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        blendfunc filter
    }
}

textures/cyberspace/glow_r
{
    qer_editorimage textures/cyberspace/red.tga
    q3map_surfaceLight 1000
    q3map_lightimage textures/cyberspace/red.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/red.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 1.0 1.0 0.5 0.5
    }
}

textures/cyberspace/glow_g
{
    qer_editorimage textures/cyberspace/green.tga
    q3map_surfaceLight 1000
    q3map_lightimage textures/cyberspace/green.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/green.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 1.0 1.0 0.5 0.5
    }
}

textures/cyberspace/glow_b
{
    qer_editorimage textures/cyberspace/blue.tga
    q3map_surfaceLight 1000
    q3map_lightimage textures/cyberspace/blue.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/blue.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 1.0 1.0 0.5 0.5
    }
}

textures/cyberspace/glow_r_i
{
    qer_editorimage textures/cyberspace/red.tga
    q3map_surfaceLight 1000
    q3map_lightimage textures/cyberspace/red.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/red.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 1.0 1.0 0.0 0.5
    }
}

textures/cyberspace/glow_g_i
{
    qer_editorimage textures/cyberspace/green.tga
    q3map_surfaceLight 1000
    q3map_lightimage textures/cyberspace/green.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/green.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 1.0 1.0 0.0 0.5
    }
}

textures/cyberspace/glow_b_i
{
    qer_editorimage textures/cyberspace/blue.tga
    q3map_surfaceLight 1000
    q3map_lightimage textures/cyberspace/blue.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/blue.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 1.0 1.0 0.0 0.5
    }
}

textures/cyberspace/solid_r
{
    qer_editorimage textures/cyberspace/red.tga
    cull disable
    {
        map textures/cyberspace/red.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    }
}

textures/cyberspace/solid_g
{
    qer_editorimage textures/cyberspace/green.tga
    cull disable
    {
        map textures/cyberspace/green.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    } 
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    }
}

textures/cyberspace/solid_b
{
    qer_editorimage textures/cyberspace/blue.tga
    cull disable
    {
        map textures/cyberspace/blue.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    }
}

textures/cyberspace/binary_r
{
    qer_editorimage textures/cyberspace/binary_r.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_r.tga
        blendFunc blend
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_g
{
    qer_editorimage textures/cyberspace/binary_g.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_g.tga
        blendFunc blend
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_b
{
    qer_editorimage textures/cyberspace/binary_b.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_b.tga
        blendFunc blend
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_r_t
{
    qer_editorimage textures/cyberspace/binary_r.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_r.tga
        blendfunc filter
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_g_t
{
    qer_editorimage textures/cyberspace/binary_g.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_g.tga
        blendfunc filter
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_b_t
{
    qer_editorimage textures/cyberspace/binary_b.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_b.tga
        blendfunc filter
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_r_2
{
    qer_editorimage textures/cyberspace/binary_r.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_r.tga
        blendFunc blend
        tcmod scale 4 4
        tcmod scroll 0 4
    }
}

textures/cyberspace/binary_g_2
{
    qer_editorimage textures/cyberspace/binary_g.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_g.tga
        blendFunc blend
        tcmod scale 4 4
        tcmod scroll 0 4
    }
}

textures/cyberspace/binary_b_2
{
    qer_editorimage textures/cyberspace/binary_b.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_b.tga
        blendFunc blend
        tcmod scale 4 4
        tcmod scroll 0 4
    }
}

textures/cyberspace/black
{
    qer_editorimage textures/cyberspace/black.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
}

textures/cyberspace/black_reflective
{
    qer_editorimage textures/cyberspace/black.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/black.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/rainbow
{
    qer_editorimage textures/cyberspace/blue.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/red.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 1.0 1.0 0.0 1.0
    }
    {
        map textures/cyberspace/blue.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 1.0 1.0 0.33 1.0
    }
    {
        map textures/cyberspace/green.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 1.0 1.0 0.66 1.0
    }

}

textures/cyberspace/slick_nodamage
{
    qer_editorimage textures/common/slick.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nonsolid
}

textures/cyberspace/caulk
{
    qer_editorimage textures/common/caulk.jpg
    surfaceparm trans
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/cyberspace/invisible_nonsolid
{
    qer_editorimage textures/common/caulk.jpg
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/cyberspace/noise
{
    qer_editorimage textures/cyberspace/noise1.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    {
        map textures/cyberspace/noise1.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
	rgbGen wave square 0.5 1.0 0.0 1.0
	tcMod stretch square 0.25 0.75 0.0 0.25
	tcMod turb 2 2 0.0 2.0
        tcmod scroll 2 2
        tcmod scale 2 2
    }
    {
        map textures/cyberspace/noise1.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
	rgbGen wave square 0.5 1.0 0.5 1.0
	tcMod stretch square 0.25 0.75 0.5 0.25
	tcMod turb 2 2 0.5 2.0
        tcmod scroll 2 2
        tcmod scale 2 2
    }
}

textures/cyberspace/cyberwater
{
    qer_editorimage textures/cyberspace/binary_g.tga
    surfaceparm water
    surfaceparm nolightmap
    cull disable
    deformVertexes wave 64 sin .25 .25 0 .5
    {
        map textures/cyberspace/binary_g.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcmod scale .5 .5
        tcmod scroll .025 .01
    }
    {
        map textures/cyberspace/binary_g.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcmod scale -.5 -.5
        tcmod scroll .025 .025
    }
}

textures/cyberspace/cyberrain
{
    qer_editorimage textures/cyberspace/binary_g.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull back
    {
        map textures/cyberspace/binary_g.tga
        blendFunc blend  //blendFunc GL_DST_COLOR GL_ONE
        //rgbgen identity
        tcmod scale 32 32
        tcmod scroll 0 -16
    }
    {
        map textures/cyberspace/binary_g.tga
        blendFunc blend  //blendFunc GL_DST_COLOR GL_ONE
        //rgbgen identity
        tcmod scale 16 16
        tcmod scroll 0 -8
    }
}

textures/cyberspace/cyberfog
{
    qer_editorimage textures/cyberspace/binary_g.tga
    surfaceparm fog
    surfaceparm nonsolid
    surfaceparm trans
    fogparms ( 0.0 1.0 0.0 ) 256
    {
        map textures/cyberspace/green.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/cyberspace/gh_logo
{
    qer_editorimage textures/cyberspace/gh_logo.jpg
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/gh_logo.jpg
        blendfunc filter
        tcmod scroll 0 -2
    }
}

textures/cyberspace/lain
{
    qer_editorimage textures/cyberspace/lain.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/lain.tga
        alphaFunc GE128
        blendFunc add
	rgbGen wave sawtooth 0.0 1.0 0.0 0.5
    }
}

textures/cyberspace/out
{
    qer_editorimage textures/cyberspace/out.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/out.tga
        alphaFunc GE128
        blendFunc add
	rgbGen wave sawtooth 0.0 1.0 0.0 0.5
    }
}

textures/cyberspace/real
{
    qer_editorimage textures/cyberspace/real.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/real.tga
        alphaFunc GE128
        blendFunc add
	rgbGen wave triangle 0.0 1.0 0.0 1.0
    }
}

textures/cyberspace/scream
{
    qer_editorimage textures/cyberspace/scream.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/scream.tga
        alphaFunc GE128
        blendFunc add
	rgbGen wave triangle 0.0 1.0 0.0 1.0
    }
}

textures/cyberspace/advert
{
    qer_editorimage textures/mission_one_redux/xembie.tga
    {
       animMap 0.25 textures/mission_one_redux/xembie.tga textures/mission_one_redux/ronin.tga textures/mission_one_redux/cron.tga textures/mission_one_redux/specing.tga textures/mission_one_redux/blowfish.tga textures/mission_one_redux/helperbot.tga textures/mission_one_redux/devhc.tga textures/mission_one_redux/woodbury.tga 
    }
    {
       map $lightmap
       blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
    }
}

textures/cyberspace/code_man
{
    qer_editorimage textures/mission_one_redux/code_man.tga
    {
	map textures/mission_one_redux/code_man.tga
	tcMod stretch sin 0.25 0.75 0.0 0.25
	//tcMod scale 0.25 0.25 // Breaks 1.1.0 :/
	tcMod rotate 90
	tcMod turb 1 1 0.25 .125
	tcMod scroll 0.25 0.5
	rgbGen wave Triangle 0.5 0.25 0.0 0.25
    }
    {
   	map $lightmap
    	blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
    }
}

textures/cyberspace/skybox
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_lightsubdivide 256
    surfaceparm sky
    skyparms env/cyberspace/sky 128 -
    {

    }
}
